package com.persagy.dmp.rwd.define.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.define.entity.GraphDefine;

import java.util.List;

/**
 * 图定义 接口
 * @author Charlie Yu
 * @date 2021-06-25
 */
public interface IGraphDefineService {

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 列表
     */
    List<GraphDefine> queryByCondition(Wrapper<GraphDefine> queryWrapper);

    /**
     * 按条件计数
     * @param queryWrapper 查询条件
     * @return 结果数量
     */
    Integer queryCount(Wrapper<GraphDefine> queryWrapper);

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<GraphDefine> queryWrapper);

    /**
     * 新增
     * @param vo 待新增数据
     * @return 新增后数据
     */
    GraphDefine insert(GraphDefine vo);

    /**
     * 修改
     * @param vo 待修改数据
     * @return 修改后数据
     */
    GraphDefine update(GraphDefine vo);

    /**
     * 删除
     * @param id 主键
     */
    void delete(String id);
}
